org.apache.xerces.impl.validation

## Class ValidationManager

- java.lang.Object
- - org.apache.xerces.impl.validation.ValidationManager

    public class ValidationManager
    extends java.lang.Object

ValidationManager is a coordinator property for validators in the pipeline. Each validator must know how to interact with this property. Validators are not required to know what kind of other validators present in the pipeline, but should understand that there are others and that some coordination is required.

Version:
  $Id: ValidationManager.java 606491 2007-12-22 21:00:53Z mrglavas $
Author:
  Elena Litani, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

Fields
`protected boolean` `fCachedDTD`
`protected boolean` `fGrammarFound`
`protected java.util.ArrayList` `fVSs`

### Constructor Summary

Constructors
Constructor and Description
`ValidationManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addValidationState(ValidationState vs)` Each validator should call this method to add its ValidationState into the validation manager.
`boolean` `isCachedDTD()`
`boolean` `isGrammarFound()`
`void` `reset()`
`void` `setCachedDTD(boolean cachedDTD)`
`void` `setEntityState(EntityState state)` Set the information required to validate entity values.
`void` `setGrammarFound(boolean grammar)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fVSs

    protected final java.util.ArrayList fVSs

#### fGrammarFound

    protected boolean fGrammarFound

#### fCachedDTD

    protected boolean fCachedDTD

### Constructor Detail

#### ValidationManager

    public ValidationManager()

### Method Detail

#### addValidationState

    public final void addValidationState(ValidationState vs)

Each validator should call this method to add its ValidationState into the validation manager.

#### setEntityState

    public final void setEntityState(EntityState state)

Set the information required to validate entity values.

#### setGrammarFound

    public final void setGrammarFound(boolean grammar)

#### isGrammarFound

    public final boolean isGrammarFound()

#### setCachedDTD

    public final void setCachedDTD(boolean cachedDTD)

#### isCachedDTD

    public final boolean isCachedDTD()

#### reset

    public final void reset()